export declare const graphQLContent: unique symbol;
import { ApolloQueryResult } from '@apollo/client/index.js';
export interface GraphQLDocument {
    [graphQLContent]: string;
}
export interface SuccessGraphQLResult<T> {
    data: T;
    errors: undefined;
}
export interface ErrorGraphQLResult {
    data: undefined;
    errors: any; /**  GQL.IGraphQLResponseError[]; */
}
export type GraphQLResult<T> = ApolloQueryResult<T>;
export interface GraphQLError extends Error {
    queryName: string;
}
